package com.yihu.hos.system.model;

/**
 * SystemArea entity. @author MyEclipse Persistence Tools
 */

public class SystemArea implements java.io.Serializable {

	// Fields

	private String id;
	private String name;
	private String pid;
	private String shortName;
	private String postCode;

	// Constructors

	/** default constructor */
	public SystemArea() {
	}

	/** minimal constructor */
	public SystemArea(String name, String pid) {
		this.name = name;
		this.pid = pid;
	}

	/** full constructor */
	public SystemArea(String name, String pid, String shortName, String postCode) {
		this.name = name;
		this.pid = pid;
		this.shortName = shortName;
		this.postCode = postCode;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPid() {
		return this.pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getShortName() {
		return this.shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getPostCode() {
		return this.postCode;
	}

	public void setPostCode(String postCode) {
		this.postCode = postCode;
	}

}